package com.ym.mec.im.message;

import com.ym.mec.im.BaseMessage;
import com.ym.pojo.ExamSongMessage;

public class ExamSongDownloadMessageMessage extends BaseMessage {
    private ExamSongMessage content;
    private static final transient String TYPE = "DY:examSongDownloadMessage";

    public ExamSongDownloadMessageMessage(ExamSongMessage content) {
        this.content = content;
    }

    public ExamSongMessage getContent() {
        return content;
    }

    public void setContent(ExamSongMessage content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "{\"examSongName\":\"" + content.getExamSongName() +
                "\", \"examSongId\":\"" + content.getExamSongId() +
                "\", \"url\":\"" + content.getUrl() +
                "\"}";
    }

    @Override
    public String getObjectName() {
        return TYPE;
    }
}
